Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000130Core InformAssertions and creationspublic2010-06-25 16:432010-07-01 23:07
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000130: When the starting location is mistaken for a direction, the error message says a statement contradicts itself
Description``The North'' is interpreted by Inform as a direction, and it correctly complains. However, the beginning of the message is confusing:

Problem. You wrote 'The north is a direction' , but that seems to contradict 'The north is a direction' , as container and direction are incompatible. (If container were a kind of direction or vice versa there'd be no problem, but they aren't.)
 See the manual: 3.5 > Kinds
Minimal Source Text To Reproduce
There is a room.
The Far North is a room.
The player is in The North.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000188)
graham (administrator)
2010-06-29 16:10

I agree, a rather misleading problem message. I've improved this.

- Issue History
Date Modified Username Field Change
2010-06-25 16:43 EmacsUser New Issue
2010-06-25 16:45 jmcgrew Severity mild => cosmetic
2010-06-25 16:45 jmcgrew Status new => acknowledged
2010-06-25 20:06 jmcgrew Status acknowledged => confirmed
2010-06-29 16:11 graham Note Added: 0000188
2010-06-29 16:11 graham Status confirmed => resolved
2010-06-29 16:11 graham Resolution open => fixed
2010-06-29 16:11 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker